<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
export default {
  data() {

  },
  async asyncData({app, $services, $links}){
    var i18n = app.i18n
    return {
          posts: [
            {
              thread: true,
              header: {
                avatar: require("~/assets/images/home-page/avatar-network.svg"),
              },
              layers: [
                {
                  type: "image",
                  image: require("~/assets/images/tech-view/technology-card.svg"),
                },
                {type: 'table-links', links: [
                  {text: i18n.t("Technology")},
                  {text: i18n.t("Technology Overview"), link: $links('technology_thorchain_docs_technology_overview')},
                ]},
                {type:'text', text: [
                  i18n.t('THORChain is a leaderless vault manager.')
                ]},
                {type:'text', text: [
                  i18n.t('1-way state pegs allow syncing state from external chains. A state machine coordinates asset exchange logic and delegates redemptions. Bifröst chain clients convert redemptions into chain-specific transactions. A TSS protocol enables distributed threshold key-signing.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Docs ↴")},
                  {text: i18n.t("Bifröst Protocol"), link: $links('technology_thorchain_docs_technology_bifrost')},
                  {text: i18n.t("State Machine"), link: $links('technology_thorchain_docs_technology_state_machine')},
                  {text: i18n.t("Signer"), link: $links('technology_thorchain_docs_technology_signer')},
                  {text: i18n.t("Vaults"), link: $links('technology_thorchain_docs_technology_vaults')}
                ]},
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("THORChain Rewires Liquidity"),
                avatar: require("~/assets/images/tech-view/avatar-rewiring.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('Your dormant liquidity should create new value for you. THORChain creates that utility.')
                ]},
                {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                    {cols: [
                      {content: "Versus", style: 'text-align: left'},
                      "THORChain",
                      "CEX"
                    ]},
                    {
                      cols: [
                        {content: "Native Assets", style:'text-align: left'},
                        {content: "✅", style: ''},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Support Chains", style:'text-align: left'},
                        {content: "BTC / ETH / LTC / BNB / BCH", style: ''},
                        {content: "Varies", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Settlement", style: 'text-align: left'},
                        {content: "Seconds", style: 'color: #23DCC8'},
                        {content: "Seconds", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Deposit Incentives", style: 'text-align: left'},
                        {content: "Yes LP's Earn Fees", style: 'color: #23DCC8'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Asset Distribution", style: 'text-align: left'},
                        {content: "Anon THORNodes", style: 'color: #23DCC8'},
                        {content: "At Best Multisig?", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Vault Theft Vector", style: 'text-align: left'},
                        {content: "Economically Unviable", style: 'color: #23DCC8'},
                        {content: "Heard of Quadriga?", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "On-chain", style:'text-align: left'},
                        {content: "✅", style: ''},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Verifiable Solvency", style: 'text-align: left'},
                        {content: "✅", style: ''},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Liquidity Access", style: 'text-align: left'},
                        {content: "Multiple Interfaces / TX Memos", style: ''},
                        {content: "Single Entry", style: ''}
                      ]
                    }
                  ]}
                },
                {type: 'table-links', links: [
                  {text: i18n.t("What's an LP?"), link: $links('slash_liquidity_providers')},
                  {text: i18n.t("Papers, Audits & Reports"), link: $links('slash_document_library')},
                  {text: i18n.t("Verify Solvency"), link: $links('technology_thorchain_network_verify_solvency')},
                  {text: i18n.t("Verify Vaults"), link: $links('technology_viewblock_verify_vaults')},
                  {text: i18n.t("Interfaces"), link: $links('slash_interfaces')},
                ]}
              ]
            },
            {
              thread: false,
              header: {
                text: i18n.t("Can I Contribute to its Development?"),
                avatar: require("~/assets/images/arbitrageurs-view/avatar-dev.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('THORChain is open-source. Any developer interested in developing the protocol, ecosystem or supporting a new chain client can join the community.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Developers"), link: $links('slash_developers')},
                ]},
              ]
            },
          ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
